#include <linux/module.h>
#include <linux/init.h>
//#include <linux/mii.h>
#include <linux/if_vlan.h>

MODULE_LICENSE("Dual BSD/GPL");

void external_sub(void) __attribute__ ((unused));

void external_sub(void)
{
	// Fedora25(on Hyper-V)にはMIIドライバが存在しないため、別関数(8021q)を使用。
	//mii_link_ok(NULL);
	vlan_uses_dev(NULL);
}
EXPORT_SYMBOL(external_sub);

static int hello_init(void)
{
	printk(KERN_ALERT "driver loaded\n");

	return 0;
}

static void hello_exit(void)
{
	printk(KERN_ALERT "driver unloaded\n");
}

module_init(hello_init);
module_exit(hello_exit);

